### Method

# GLib Variant get_objv

since: 2.30

#### Declaration

    const gchar**
    g_variant_get_objv (
      GVariant* value,
      gsize* length
    )

#### Description

Gets the contents of an array of object paths `GVariant`. This call makes a shallow copy; the return result should be released with g_free(), but the individual strings must not be modified.

If `length` is non-`NULL` then the number of elements in the result is stored there. In any case, the resulting array will be `NULL`-terminated.

For an empty array, `length` will be set to 0 and a pointer to a `NULL` pointer will be returned.

Available since: 2.30

#### Parameters

`length`

  Type: `gsize*`

  The length of the result, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

An array of constant strings.

The array is `NULL`-terminated.
The length of the array is in the `length` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.